SharedLibraryLoader (Java UNO Runtime Reference)

Package com.sun.star.comp.helper

## Class SharedLibraryLoader

- java.lang.Object
- - com.sun.star.comp.helper.SharedLibraryLoader

-     @Deprecated
      public class SharedLibraryLoader
      extends Object

  Deprecated.
  use class Bootstrap bootstrapping a native UNO installation and use the shared library loader service. The `SharedLibraryLoader` class provides the functionality of the `com.sun.star.loader.SharedLibrary` service. See also UNOIDL `com.sun.star.lang.ServiceManager`.
  See Also:
    `SharedLibrary`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_IMPLEMENTATION` | Deprecated. The default implementation name
    `static String` | `DEFAULT_LIBRARY` | Deprecated. The default library which contains the SharedLibraryLoader component

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SharedLibraryLoader()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XSingleServiceFactory` | `getServiceFactory​(XMultiServiceFactory smgr, XRegistryKey regKey)` | Deprecated. Supplies the ServiceFactory of the default SharedLibraryLoader.
    `static XSingleServiceFactory` | `getServiceFactory​(String libName, String impName, XMultiServiceFactory smgr, XRegistryKey regKey)` | Deprecated. Loads and returns a specific factory for a given library and implementation name.
    `static boolean` | `writeRegistryServiceInfo​(XMultiServiceFactory smgr, XRegistryKey regKey)` | Deprecated. Registers the SharedLibraryLoader under a RegistryKey.
    `static boolean` | `writeRegistryServiceInfo​(String libName, XMultiServiceFactory smgr, XRegistryKey regKey)` | Deprecated. Registers the SharedLibraryLoader under a RegistryKey.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_LIBRARY

          public static final String DEFAULT_LIBRARY

      Deprecated.
      The default library which contains the SharedLibraryLoader component
      See Also:
        Constant Field Values

    - #### DEFAULT_IMPLEMENTATION

          public static final String DEFAULT_IMPLEMENTATION

      Deprecated.
      The default implementation name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SharedLibraryLoader

          public SharedLibraryLoader()

      Deprecated.

  - ### Method Detail

    - #### getServiceFactory

          public static XSingleServiceFactory getServiceFactory​(XMultiServiceFactory smgr,
                                                                XRegistryKey regKey)

      Deprecated.
      Supplies the ServiceFactory of the default SharedLibraryLoader. The defaults are "shlibloader.uno" for the library and "com.sun.star.comp.stoc.DLLComponentLoader" for the component name. See also UNOIDL `com.sun.star.lang.ServiceManager` and `com.sun.star.registry.RegistryKey`.
      Parameters:
        `smgr` - the ServiceManager
        `regKey` - the root registry key
      Returns:
        the factory for the "com.sun.star.comp.stoc.DLLComponentLoader" component.
      See Also:
        `SharedLibrary`

    - #### getServiceFactory

          public static XSingleServiceFactory getServiceFactory​(String libName,
                                                                String impName,
                                                                XMultiServiceFactory smgr,
                                                                XRegistryKey regKey)

      Deprecated.
      Loads and returns a specific factory for a given library and implementation name. See also UNOIDL `com.sun.star.lang.ServiceManager` and `com.sun.star.registry.RegistryKey`.
      Parameters:
        `libName` - the name of the shared library
        `impName` - the implementation name of the component
        `smgr` - the ServiceManager
        `regKey` - the root registry key
      Returns:
        the factory of the component
      See Also:
        `SharedLibrary`

    - #### writeRegistryServiceInfo

          public static boolean writeRegistryServiceInfo​(XMultiServiceFactory smgr,
                                                         XRegistryKey regKey)

      Deprecated.
      Registers the SharedLibraryLoader under a RegistryKey. See also UNOIDL `com.sun.star.lang.ServiceManager` and `com.sun.star.registry.RegistryKey`.
      Parameters:
        `smgr` - the ServiceManager
        `regKey` - the root key under that the component should be registered
      Returns:
        true if the registration was successful - otherwise false
      See Also:
        `SharedLibrary`

    - #### writeRegistryServiceInfo

          public static boolean writeRegistryServiceInfo​(String libName,
                                                         XMultiServiceFactory smgr,
                                                         XRegistryKey regKey)
                                                  throws InvalidRegistryException,
                                                         RuntimeException

      Deprecated.
      Registers the SharedLibraryLoader under a RegistryKey. See also UNOIDL `com.sun.star.lang.ServiceManager` and `com.sun.star.registry.RegistryKey`.
      Parameters:
        `libName` - name of the shared library
        `smgr` - the ServiceManager
        `regKey` - the root key under that the component should be registered
      Returns:
        true if the registration was successful - otherwise false
      Throws:
        `InvalidRegistryException` - if the registry is not valid.
        `RuntimeException`
      See Also:
        `SharedLibrary`